<?xml version="1.0" encoding="GB2312"?>
<FEATURE_CONFIG>
    <VIDEO_MODE>
        <MEETIME_MODE            Feature="normalmode"       Mode="single"/>
        <MOVIE_VIDEO_MODE        Feature="MovieVideo"       Mode="single"/>
        <BEAUTY_VIDEO_MODE       Feature="BeautyVideo"      Mode="single"/>
        <HIGHQUALITY_VIDEO_MODE  Feature="HighQualityVideo" Mode="single"/>
        <TIME_LAPSE              Feature="TimelapseVideo"   Mode="single"/>
        <SCENE_MODE Value="ApertureVideo"      Feature="ApertureVideo" Mode="single"/>
        <SCENE_MODE Value="ProfessionalVideo"  Feature="ProfessionalVideo" Mode="single"/>
        <SCENE_MODE Value="SlowMo"             Feature="SlowMotion" Mode="single"/>
        <SCENE_MODE Value="DualVideo"          Feature="DualVideo" Mode="single"/>
        <SCENE_MODE Value="NormalVideo"        Feature="NormalVideo" Mode="single"/>
        <SCENE_MODE Value="MonoVideo"          Feature="NormalVideo" Mode="single"/>
        <SCENE_MODE Value="SuperEisVideo"      Feature="SuperEisVideo" Mode="single"/>
        <SCENE_MODE Value="SmartTracking"      Feature="SmartTracking" Mode="single"/>
        <SCENE_MODE Value="StoryMode"          Feature="StoryMode" Mode="single"/>
        <!--SCENE_MODE Value="SuperMacroVideo"      Feature="SuperMacroVideo" Mode="single"/-->
        <SCENE_MODE Value="SuperMacroVideo"      Feature="NormalVideo" Mode="single"/>
    </VIDEO_MODE>
    <CAMERA_CAPTURE>
        <FORE_GROUND_MODE>
            <AR_MODE>
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </AR_MODE>
            <SUPER_CAMERA_NIGHT>
                <RootNode Exps="RAW_BSHUTTER_MODE">
                    <TrueNode Exps="ZOOM > 120">
                        <TrueNode Feature="foreFullZoomAiRaw" Mode="opticalzoom"/>
                        <FalseNode Exps="WIDE_SCENE_MODE">
                            <TrueNode Feature="foreFullZoomAiRaw" Mode="opticalzoom"/>
                            <FalseNode Exps="ELLIP_MODE">
                                <TrueNode  Feature="foreEllip" Mode="rawhdr"/>
                                <FalseNode Exps="IS_RAW_HDR">
                                    <TrueNode  Feature="foreAiRawHdrp" Mode="rawhdr"/>
                                    <FalseNode  Feature="foreAiRawHdrplite" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </TrueNode>
                    <FalseNode Feature="BShutterV2" Mode="bshutter"/>
                </RootNode>
            </SUPER_CAMERA_NIGHT>
            <LIGHT_PAINTING>
                <RootNode Feature="BShutter" Mode="bshutter"/>
            </LIGHT_PAINTING>
            <SCENE_MODE Value="TimeLapse">
                <RootNode Feature="TimeLapseNormal" Mode="single"/>
            </SCENE_MODE>
            <SCENE_MODE Value="DocumentScan">
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </SCENE_MODE>
            <SCENE_MODE Value="NormalCapture">
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </SCENE_MODE>
            <PANORAMA_MODE>
                <RootNode Feature="panoramamode" Mode="single"/>
            </PANORAMA_MODE>
            <SCENE_MODE Value="Ar3DAnimoji">
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </SCENE_MODE>
            <SCENE_MODE Value="BackGround">
                <RootNode Feature="foreNormalmode" Mode="single"/>
            </SCENE_MODE>
        </FORE_GROUND_MODE>
        <BACK_GROUND_MODE>
            <FRONT_CAMERA_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="PortraitCaptureEscapeFront" Mode="beauty"/>
                        <FalseNode Exps="IS_FAIRLIGHT_MODE">
                            <TrueNode  Exps="RAWHDR_AIRAW_MODE">
                                <TrueNode  Feature="FairlightAiRawHdrpFront" Mode="rawhdr"/>
                                <FalseNode Feature="FairlightAiRawHdrpliteFront" Mode="hdrplite"/>
                            </TrueNode>
                            <FalseNode  Exps="PORTRAIT_MODE">
                                <TrueNode  Exps="DUAL_CAMERA_MODE">
                                    <TrueNode  Exps="RAWHDR_AIRAW_MODE">
                                        <TrueNode  Feature="aiRawHdrpDualCamBokehBeautyFront" Mode="rawhdr"/>
                                        <FalseNode Feature="aiRawHdrpLiteDualCamBokehBeautyFront" Mode="hdrplite"/>
                                    </TrueNode>
                                    <FalseNode  Exps="RAWHDR_AIRAW_MODE">
                                        <TrueNode  Feature="frontbeautyBokehHdrpAiRaw" Mode="rawhdr"/>
                                        <FalseNode Feature="frontbeautyBokehHdrplite" Mode="hdrplite"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="FRONT_ELLIP_MODE &amp;&amp; QUERY_ELLIP_AE_CAP &amp;&amp; FLASH_ON_MODE == 0">
                                    <TrueNode  Feature="FrontBeautySingle" Mode="single"/>
                                    <FalseNode  Exps="RAWHDR_AIRAW_MODE">
                                        <TrueNode  Feature="FrontBeautyAiRawHdrp" Mode="rawhdr"/>
                                        <FalseNode Feature="frontbeautyHdrplite" Mode="hdrplite"/>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NightShot">
                    <RootNode  Exps="IS_RAW_HDR">
                        <TrueNode  Feature="FrontBeautyAiRawHdrp" Mode="rawhdr"/>
                        <FalseNode Feature="frontbeautyHdrplite" Mode="hdrplite"/>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                            <FalseNode Exps="IS_RAW_HDR">
                                <TrueNode Feature="FrontAiRawHdrp" Mode="rawhdr"/>
                                <FalseNode  Feature="frontHdrplite" Mode="hdrplite"/>
                            </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </FRONT_CAMERA_MODE>
            <BACK_CAMERA_MODE>
                <SCENE_MODE Value="Professional">
                    <RootNode Exps="PRO_CAMERA_SUPER_ISO">
                        <TrueNode Exps="ELLIP_MODE">
                            <TrueNode  Feature="EllipAirawMode"  Mode="pronrawhdr"/>
                            <FalseNode Feature="normalmode" Mode="single"/>
                        </TrueNode>
                        <FalseNode Feature="normalmode" Mode="single"/>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Portrait">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="PORTRAIT_MODE &amp;&amp; FACE_NUM > 0">
                            <TrueNode Exps="ZOOM > 99">
                                <TrueNode Feature="fullzoomAiRawPortrait" Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="aiRawHdrpPortrait" Mode="rawhdr"/>
                                    <FalseNode  Feature="aiRawHdrpLitePortrait" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="IS_FAIRLIGHT_MODE">
                                <TrueNode Exps="FLASH_ON_MODE">
                                    <TrueNode  Feature="fairlightrear" Mode="beauty"/>
                                    <FalseNode Exps="ZOOM > 99">
                                        <TrueNode  Feature="FairlightFullzoomAiRaw" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="FairlightAiRawHdrp" Mode="rawhdr"/>
                                            <FalseNode Feature="FairlightAiRawHdrplite" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="FLASH_ON_MODE">
                                    <TrueNode Exps="ZOOM > 99">
                                        <TrueNode  Feature="NormalBeautyShot" Mode="single"/>
                                        <FalseNode  Exps="FLASH_MULTIDENOISE">
                                            <TrueNode  Feature="FlashMultidenoiseBeauty"  Mode="flashMultidenoiseMode"/>
                                            <FalseNode Feature="FlashsingleBeauty"  Mode="flashSingleMode"/>
                                        </FalseNode>
                                    </TrueNode>
                                    <FalseNode Exps="ZOOM > 99">
                                        <TrueNode Feature="fullzoomAiRawNoFacePortrait" Mode="opticalzoom"/>
                                        <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                            <TrueNode Feature="aiRawHdrpNoFacePortrait" Mode="rawhdr"/>
                                            <FalseNode Feature="aiRawHdrpLiteNoFacePortrait" Mode="hdrplite"/>
                                        </FalseNode>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="FoldPortrait">
                    <RootNode Exps="FLASH_ON_MODE">
                            <TrueNode Feature="FlashsingleBeauty"  Mode="flashSingleMode"/>
                            <FalseNode Exps="WIDE_SCENE_MODE">
                                <TrueNode Feature="fullzoomAiRawFoldPortrMode" Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode Feature="aiRawHdrpNoFacePortrait" Mode="rawhdr"/>
                                    <FalseNode Feature="aiRawHdrpLiteNoFacePortrait" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Aperture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="RearCaptureEscapeMode" Mode="single"/>
                        <FalseNode Exps="NOT_DUALCAM_TOF_MODE == 0">
                            <TrueNode Exps="ZOOM > 99">
                                <TrueNode Feature="bigApertureZoomNotBokeh"  Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="bigAperturehdrpNotBokeh"  Mode="rawhdr"/>
                                    <FalseNode Feature="bigApertureHdrpLiteNotBokeh" Mode="hdrplite"/>
                                </FalseNode>
                            </TrueNode>
                            <FalseNode Exps="ZOOM > 99">
                                <TrueNode Feature="fullzoomAiRawBokehMode"  Mode="opticalzoom"/>
                                <FalseNode Exps="RAWHDR_AIRAW_MODE">
                                    <TrueNode  Feature="aiRawHdrpBokehMode"  Mode="rawhdr"/>
                                    <FalseNode Feature="aiRawHdrpLiteBokehMode" Mode="hdrplite"/>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoCapture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="FLASH_ON_MODE">
                           <TrueNode  Feature="flashsingle" Mode="single"/>
                           <FalseNode Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoAperture">
                    <RootNode Feature="normalmode" Mode="single"/>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoPortrait">
                    <RootNode Feature="normalmode" Mode="single"/>
                </SCENE_MODE>
                <SCENE_MODE Value="MonoProfessinal">
                    <RootNode Feature="normalmode" Mode="single"/>
                </SCENE_MODE>
                <SCENE_MODE Value="UltraHighRes">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="LV &gt; 80 &amp;&amp; ISO &gt; 250">
                            <TrueNode Feature="RestartStreamSingleRemosaicMode" Mode="offremosaic"/>
                            <FalseNode Feature="normalmode" Mode="single"/>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="UltrClarify">
                    <RootNode Exps="RAWHDR_AIRAW_MODE">
                        <TrueNode Feature="rawhdrAiRaw" Mode="rawhdr"/>
                        <FalseNode Feature="hdrpliteAiRaw"  Mode="hdrplite"/>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="Hdr">
                    <RootNode Feature="hdr" Mode="hdr"/>
                </SCENE_MODE>
                <SCENE_MODE Value="Burst">
                    <RootNode Feature="bestshotMode" Mode="burst"/>
                </SCENE_MODE>
                <SCENE_MODE Value="SuperMacro">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                    </RootNode>
                </SCENE_MODE>
                <SCENE_MODE Value="NormalCapture">
                    <RootNode Exps="CAPTURE_ESCAPE">
                        <TrueNode  Feature="normalmode" Mode="single"/>
                        <FalseNode Exps="FLASH_ON_MODE">
                            <TrueNode  Feature="flashsingle" Mode="single"/>
                            <FalseNode Exps="ZOOM > 99">
                                <TrueNode Exps="MOON_SCENE_MODE">
                                    <TrueNode  Feature="opticalzoommoonMode" Mode="opticalzoom"/>
                                    <FalseNode Exps="ELLIP_MODE">
                                        <TrueNode Exps="MANUALEV &lt; 0">
                                            <TrueNode  Feature="hdrpliteAiRaw" Mode="hdrplite"/>
                                            <FalseNode  Feature="EllipAirawMode" Mode="rawhdr"/>
                                        </TrueNode>
                                        <FalseNode Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                                    </FalseNode>
                                </TrueNode>
                                <FalseNode Exps="WIDE_SCENE_MODE">
                                    <TrueNode Exps="ELLIP_MODE">
                                        <TrueNode Exps="MANUALEV &lt; 0">
                                            <TrueNode  Feature="hdrpliteAiRaw" Mode="hdrplite"/>
                                            <FalseNode  Feature="EllipAirawMode" Mode="rawhdr"/>
                                        </TrueNode>
                                        <FalseNode Feature="fullzoomAiRawMode" Mode="opticalzoom"/>
                                    </TrueNode>
                                    <FalseNode Exps="IS_RAW_HDR">
                                        <TrueNode  Feature="rawhdrAiRaw" Mode="rawhdr"/>
                                        <FalseNode  Feature="hdrpliteAiRaw" Mode="hdrplite"/>
                                    </FalseNode>
                                </FalseNode>
                            </FalseNode>
                        </FalseNode>
                    </RootNode>
                </SCENE_MODE>
            </BACK_CAMERA_MODE>
        </BACK_GROUND_MODE>
    </CAMERA_CAPTURE>
</FEATURE_CONFIG>
